Upgrade RMAN Catalog to 12.1.0.2


12c_logo

In this post i want to show how to upgrade the RMAN Catalog to 12.1.0.2. If you try to upgrade the catalog only with the „upgrade catalog“ command you will get a error message like this.

[oracle@server1 admin]$ rman target / catalog=rman/welcome1@db12se

Recovery Manager: Release 12.1.0.2.0 - Production on Fri Aug 15 11:33:57 2014

Copyright (c) 1982, 2014, Oracle and/or its affiliates.  All rights reserved.

connected to target database: ECDB2 (DBID=4155304396)
connected to recovery catalog database
PL/SQL package RMAN.DBMS_RCVCAT version 12.01.00.01 in RCVCAT database is not current
PL/SQL package RMAN.DBMS_RCVMAN version 12.01.00.01 in RCVCAT database is not current

RMAN> upgrade catalog;

RMAN-00571: ===========================================================
RMAN-00569: =============== ERROR MESSAGE STACK FOLLOWS ===============
RMAN-00571: ===========================================================
RMAN-07539: insufficient privileges to create or upgrade the catalog schema

A simple upgrade catalog command is not the correct step for upgrading the catalog to 12.1.0.2. For upgrading the catalog you must first run dbmsrmansys.sql script to grant additional privileges that are required for the RECOVERY_CATALOG_OWNER role. After this step is done your upgrade should finish without any problems.

[oracle@vmsvredu1 admin]$ rman target / catalog=rman/welcome1@db12se

Recovery Manager: Release 12.1.0.2.0 - Production on Fri Aug 15 11:41:25 2014

Copyright (c) 1982, 2014, Oracle and/or its affiliates.  All rights reserved.

connected to target database: ECDB2 (DBID=4155304396)
connected to recovery catalog database
PL/SQL package RMAN.DBMS_RCVCAT version 12.01.00.01 in RCVCAT database is not current
PL/SQL package RMAN.DBMS_RCVMAN version 12.01.00.01 in RCVCAT database is not current

RMAN> upgrade catalog;

recovery catalog owner is RMAN
enter UPGRADE CATALOG command again to confirm catalog upgrade

RMAN> upgrade catalog;

Maybe your Catalog is running on Oracle Standard Edtion. In this case we will recive a error message like described below.

RMAN> upgrade catalog;

error creating create_deleted_object_seq
RMAN-00571: ===========================================================
RMAN-00569: =============== ERROR MESSAGE STACK FOLLOWS ===============
RMAN-00571: ===========================================================
RMAN-06004: ORACLE error from recovery catalog database: ORA-00439: feature not enabled: Partitioning

You are getting this error because your database is running on Oracle Standard Edtion. In this case you must first upgrade your database to Oracle Enterprise Edtionn (or export and import you catalog to such Edtion). With beginning of Oracle 12.1.0.2 RMAN Catalogis not supported on Oracle Standard Edtion. For more information read my blog post here.

As always comments are welcome.

Advertisements

2 Gedanken zu “Upgrade RMAN Catalog to 12.1.0.2

Kommentar verfassen

Trage deine Daten unten ein oder klicke ein Icon um dich einzuloggen:

WordPress.com-Logo

Du kommentierst mit Deinem WordPress.com-Konto. Abmelden / Ändern )

Twitter-Bild

Du kommentierst mit Deinem Twitter-Konto. Abmelden / Ändern )

Facebook-Foto

Du kommentierst mit Deinem Facebook-Konto. Abmelden / Ändern )

Google+ Foto

Du kommentierst mit Deinem Google+-Konto. Abmelden / Ändern )

Verbinde mit %s